Overview
POST
/auth/link-passwordauthSet or replace the caller's email/password credential
Create a record in link-password.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- passwordstring
Example
{
"password": "string"
}Responses
204
linked
No response body.
400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/auth/link-password" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"password": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/link-password", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"password\": \"string\"\n}",
});
const data = await res.json();